Get a CSAT review
curl --request GET \
--url https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"reviewId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "open",
"assigneeName": "<string>",
"originalRating": 123,
"correctedRating": 123,
"rating": 123,
"scale": 123,
"correctionReason": "<string>",
"correctedBy": "<string>",
"correctedAt": "<string>",
"explanation": "<string>",
"closedBy": "<string>",
"closedAt": "<string>",
"updatedAt": "<string>",
"response": {
"responseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"respondentName": "<string>",
"ticketNumber": "<string>",
"source": "halo",
"comment": "<string>",
"technicianName": "<string>",
"submittedAt": "<string>"
},
"history": [
{
"action": "<string>",
"actorName": "<string>",
"fromRating": 123,
"toRating": 123,
"note": "<string>",
"at": "<string>"
}
],
"canAct": true
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Surveys
Get a CSAT review
One review: original rating, any correction with reason and author, explanation and full audit history. Staff only; requires the csat_review_queue feature (403 otherwise). Scope surveys.read; permission view_csat.
GET
/
api
/
public
/
v1
/
surveys
/
csat-reviews
/
{id}
Get a CSAT review
curl --request GET \
--url https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/surveys/csat-reviews/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"reviewId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "open",
"assigneeName": "<string>",
"originalRating": 123,
"correctedRating": 123,
"rating": 123,
"scale": 123,
"correctionReason": "<string>",
"correctedBy": "<string>",
"correctedAt": "<string>",
"explanation": "<string>",
"closedBy": "<string>",
"closedAt": "<string>",
"updatedAt": "<string>",
"response": {
"responseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"respondentName": "<string>",
"ticketNumber": "<string>",
"source": "halo",
"comment": "<string>",
"technicianName": "<string>",
"submittedAt": "<string>"
},
"history": [
{
"action": "<string>",
"actorName": "<string>",
"fromRating": 123,
"toRating": 123,
"note": "<string>",
"at": "<string>"
}
],
"canAct": true
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Was this page helpful?